( cd usr/lib64 ; rm -rf libwireshark.so )
( cd usr/lib64 ; ln -sf libwireshark.so.17 libwireshark.so )
( cd usr/lib64 ; rm -rf libwireshark.so.17 )
( cd usr/lib64 ; ln -sf libwireshark.so.17.0.5 libwireshark.so.17 )
( cd usr/lib64 ; rm -rf libwiretap.so )
( cd usr/lib64 ; ln -sf libwiretap.so.14 libwiretap.so )
( cd usr/lib64 ; rm -rf libwiretap.so.14 )
( cd usr/lib64 ; ln -sf libwiretap.so.14.1.5 libwiretap.so.14 )
( cd usr/lib64 ; rm -rf libwsutil.so )
( cd usr/lib64 ; ln -sf libwsutil.so.15 libwsutil.so )
( cd usr/lib64 ; rm -rf libwsutil.so.15 )
( cd usr/lib64 ; ln -sf libwsutil.so.15.0.0 libwsutil.so.15 )

# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database usr/share/applications 1> /dev/null 2>&1
fi

# Update hicolor theme cache:
if [ -d usr/share/icons/hicolor ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2>&1
  fi
fi

# Update the mime database:
if [ -x usr/bin/update-mime-database ]; then
  chroot . /usr/bin/update-mime-database usr/share/mime 1>/dev/null 2>&1
fi

/sbin/setcap cap_net_raw,cap_net_admin+eip /usr/bin/dumpcap
